package sample.game.model;

import library.core.listener.OnCoreTouchUpListener;
import library.core.model.CoreModel;
import library.core.system.CoreImageData;
import sample.game.controller.GameController;

public class ButtonNextTurn extends CoreModel implements OnCoreTouchUpListener{

	private GameController controller;

	public ButtonNextTurn(GameController controller,CoreImageData imageData, float centerX,
			float centerY, float width, float height) {
		super(imageData, centerX, centerY, width, height);

		this.controller=controller;
		this.setShowView(false);	//このボタンは初期では非表示
	}

	@Override
	public void onTouchUp() {
		if(!isShowView()) return;

		controller.changeTurn(false);
	}





}
